E-MailRelay

Public Member Functions | Static Public Member Functions | List of all members
GSmtp::FilterFactory Class Referenceabstract

A factory interface for GSmtp::Filter message processors. More...

`#include <gfilterfactory.h>`

Inheritance diagram for GSmtp::FilterFactory:

## Public Member Functions
virtual std::unique_ptr< Filter > | newFilter (GNet::ExceptionSink, bool server_side, const std::string &identifier, unsigned int timeout)=0
| Returns a Filter on the heap. More...
virtual | ~FilterFactory ()=default
| Destructor.

## Static Public Member Functions
static std::string | check (const std::string &identifier)
| Checks an identifier. More...

## Detailed Description

A factory interface for GSmtp::Filter message processors.

Definition at line 41 of file gfilterfactory.h.

## Member Function Documentation

## ◆ check()

std::string GSmtp::FilterFactory::check | ( | const std::string & | identifier | ) |
| inline static

Checks an identifier.

Returns an empty string if okay, or a diagnostic reason string.

Definition at line 78 of file gfilterfactory.h.

## ◆ newFilter()

virtual std::unique_ptr< Filter > GSmtp::FilterFactory::newFilter | ( | GNet::ExceptionSink | ,
|  | bool | server_side,
|  | const std::string & | identifier,
|  | unsigned int | timeout
| ) |  |
| pure virtual

Returns a Filter on the heap.

The identifier is normally prefixed with a processor type, or it is the file system path of an exectuable.

Implemented in GSmtp::FilterFactoryFileStore.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gfilterfactory.h